## ros-indigo-roscpp-tutorials 0.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roscpp_tutorials)

find_package(Boost REQUIRED COMPONENTS date_time thread)
find_package(catkin REQUIRED COMPONENTS message_generation rostime roscpp rosconsole roscpp_serialization)

include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_service_files(DIRECTORY srv FILES TwoInts.srv)
generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

macro(rostutorial T)
  add_executable(${T} ${T}/${T}.cpp)
  target_link_libraries(${T} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
  add_dependencies(${T} roscpp_tutorials_gencpp)
  install(TARGETS ${T}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endmacro()

foreach(dir
    listener
    notify_connect
    talker
    babbler
    add_two_ints_client
    add_two_ints_server
    add_two_ints_server_class
    anonymous_listener
    listener_with_userdata
    listener_multiple
    listener_threaded_spin
    listener_async_spin
    # listener_single_message
    listener_with_tracked_object
    listener_unreliable
    listener_class
    node_handle_namespaces
    custom_callback_processing
    timers
    parameters
    )
  rostutorial(${dir})
endforeach()

add_executable(time_api_sleep time_api/sleep/sleep.cpp)
target_link_libraries(time_api_sleep ${catkin_LIBRARIES})
install(TARGETS time_api_sleep
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
  launch/talker_listener.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-roscpp-tutorials (0.5.5-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.5.4-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.5.3-0trusty) trusty; urgency=high

  * add talker_listener launch file (#21 <https://github.com/ros/ros_tutorials/pull/21>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 May 2015 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.5.2-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-indigo-roscpp-tutorials (0.5.1-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.5.0-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.4.3-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-indigo-roscpp-tutorials (0.4.2-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.4.1-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 11 Sep 2013 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.4.0-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2013 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.13-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.12-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 Mar 2013 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.11-0trusty) trusty; urgency=high

  * update email in package.xml

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.10-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.9-0trusty) trusty; urgency=high

  * modified dep type of catkin

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 08:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.8-0trusty) trusty; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.7-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2012 08:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.6-0trusty) trusty; urgency=high

  * fix catkin function order

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Oct 2012 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.5-0trusty) trusty; urgency=high

  * fixed installation of cpp talker and listener

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 18 Oct 2012 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.4-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 06 Oct 2012 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.3-0trusty) trusty; urgency=high

  * fixed missing genmsg stuff
  * updated to latest catkin
  * updated package.xml files
  * added package.xml files

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Oct 2012 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.2-0trusty) trusty; urgency=high

  * updated catkin variables

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 05 Sep 2012 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.1-0trusty) trusty; urgency=high

  * use install destination variables, removed manual installation of manifests

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 03 Sep 2012 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.3.0-0trusty) trusty; urgency=high

  * fixed location of built binaries
  * updated to current catkin

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Aug 2012 07:00:00 -0000

ros-indigo-roscpp-tutorials (0.2.20-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Feb 2013 08:00:00 -0000

ros-indigo-roscpp-tutorials (0.2.19-0trusty) trusty; urgency=high

  * make find_package REQUIRED
  * removed obsolete catkin tag from manifest files
  * remove old Makefiles and bump to 0.2.13
  * adding <catkin/>, removing depends and platform tags
  * catkin cleanups
  * remove old rosbuild2 stuff
  * adios rosbuild2 in manifests
  * catkin updates
  * Debugging build, "it works" but should be revisited.
  * catkin_project
  * catkin tweaks
  * catkin tweaks
  * catkinize
  * Make installation follow the spec
  * Updated cpp versions of talker/listener to compile properly with catkin
  * Support for catkin
  * warning stoppers
  * Windows and rosbuild2 tweaks
  * url fixes
  * rosbuild2 taking shape
  * fix end tag
  * wiki tag the timers tutorial code
  * tag code
  * refactor service server w/class method and tag for wiki
  * add listener with class method tutorial code
  * add parameters tutorial code
  * add FULLTEXT tag
  * remove comment from the init tag
  * add rosconsole tag
  * tag talker/listener
  * Added Ubuntu platform tags
  * Tutorial for listening to a single message, though not compiling because the functionality won't exist until ROS 0.11
    Also enabled compilation of the async listener tutorial, since 0.10 is out
  * Forgot roscpp_tutorials is not yet released -- remove compilation of code that only works against roscpp trunk
  * 
    
      * Add listener_async_spin sample
      * Fix rosbuild cmake deprecation warnings
    
  * Create trunk/branches/tags

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 Jun 2012 04:13:40 -0700

=== debian/control ===
Source: ros-indigo-roscpp-tutorials
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-rostime, ros-indigo-std-msgs
Homepage: http://www.ros.org/wiki/roscpp_tutorials
Standards-Version: 3.9.2

Package: ros-indigo-roscpp-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-rostime, ros-indigo-std-msgs
Description: This package attempts to show the features of ROS step-by-step, including using messages, servers, parameters, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roscpp-tutorials//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
